xcode8继续愉快的使用插件-阿里云开发者社区

开发者社区> 安全> 正文
登录阅读全文

xcode8继续愉快的使用插件

简介: https://github.com/inket/update_xcode_plugins https://github.com/fpg1503/MakeXcodeGr8Again xcode8增加了安全相关的检查,更细点说它从根源上屏蔽了插件的工作,xcode插件在xcode8上统统不能执行。

https://github.com/inket/update_xcode_plugins

https://github.com/fpg1503/MakeXcodeGr8Again

xcode8增加了安全相关的检查,更细点说它从根源上屏蔽了插件的工作,xcode插件在xcode8上统统不能执行。


BUT: 我们可以通过unsign的方式来运行xcode(当然这时你的安全性就会打折扣)。


不甘寂寞的iOS开发者们倒腾出了一个较为可行的方案:

1.复制一份xcode8出来,对其进行unsign.

2.然后用这个unsign的xcode继续愉快的和插件玩耍; 我们需要使旧的插件在这个unsigned的xcode8上工作(通过上面提供的库),

3.当我们需要打包的时候,我们可以继续回到安全的xcode上工作。


那么具体我们应该怎么做?

步骤1我们可以采用 MakeXcodeGr8Again的窗口操作 或者 update_xcode_plugins的

$ update_xcode_plugins --unsign 命令来获得一个unsign的xcode8。

步骤2:我们需要再运行 update_xcode_plugins,使之前版本安装的插件可以在xcode8下运行。
(This tool adds the missing UUIDs into the installed Xcode plug-ins so that they can be loaded by newer versions of Xcode.)


版权声明:本文内容由阿里云实名注册用户自发贡献,版权归原作者所有,阿里云开发者社区不拥有其著作权,亦不承担相应法律责任。具体规则请查看《阿里云开发者社区用户服务协议》和《阿里云开发者社区知识产权保护指引》。如果您发现本社区中有涉嫌抄袭的内容,填写侵权投诉表单进行举报,一经查实,本社区将立刻删除涉嫌侵权内容。

分享:
+ 订阅

云安全开发者的大本营

其他文章